MainPopupResourceBundle
Date: 2019-10-22

org.jmol.popup

## Class MainPopupResourceBundle

- java.lang.Object
- - org.jmol.popup.PopupResource
  - - org.jmol.popup.MainPopupResourceBundle

-     public class MainPopupResourceBundle
      extends PopupResource

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.lang.String` | `MENU_NAME`
    `private static java.lang.String[][]` | `menuContents`
    `private static java.lang.String[][]` | `structureContents`

    - ### Fields inherited from class org.jmol.popup.PopupResource

      `structure, words`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainPopupResourceBundle(java.lang.String menuStructure, java.util.Properties menuText)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private static java.lang.String` | `Box(java.lang.String cmd)`
    `protected void` | `buildStructure(java.lang.String menuStructure)`
    `java.lang.String` | `getMenuAsText(java.lang.String title)`
    `java.lang.String` | `getMenuName()`
    `protected java.lang.String[]` | `getWordContents()`

    - ### Methods inherited from class org.jmol.popup.PopupResource

      `addItems, getStructure, getStuctureAsText, getWord, setStructure`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MENU_NAME

          private static final java.lang.String MENU_NAME

      See Also:
        Constant Field Values

    - #### menuContents

          private static java.lang.String[][] menuContents

    - #### structureContents

          private static java.lang.String[][] structureContents

  - ### Constructor Detail

    - #### MainPopupResourceBundle

          public MainPopupResourceBundle(java.lang.String menuStructure,
                                         java.util.Properties menuText)

  - ### Method Detail

    - #### getMenuName

          public java.lang.String getMenuName()

      Specified by:
        `getMenuName` in class `PopupResource`

    - #### buildStructure

          protected void buildStructure(java.lang.String menuStructure)

      Specified by:
        `buildStructure` in class `PopupResource`

    - #### Box

          private static java.lang.String Box(java.lang.String cmd)

    - #### getWordContents

          protected java.lang.String[] getWordContents()

      Specified by:
        `getWordContents` in class `PopupResource`

    - #### getMenuAsText

          public java.lang.String getMenuAsText(java.lang.String title)

      Specified by:
        `getMenuAsText` in class `PopupResource`